Name:          quazip5
Version:       0.9.1
Release:       2mamba
Summary:       Qt/C++ wrapper over minizip
Group:         Applications/Archiving
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/stachenov/quazip
Source:        https://github.com/stachenov/quazip.git/v%{version}/quazip-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Qt/C++ wrapper over minizip.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Qt/C++ wrapper over minizip

%description -n lib%{name}
Qt/C++ wrapper over minizip.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n quazip-%{version}

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libquazip5.so.*
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/quazip5
%{_includedir}/quazip5/*
%{_libdir}/libquazip5.a
%{_libdir}/libquazip5.so
%{_libdir}/cmake/QuaZip5/QuaZip5Config.cmake
%{_libdir}/pkgconfig/quazip.pc
%doc README.md

%changelog
* Sat Oct 31 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.1-2mamba
- legacy package

* Mon May 25 2020 Automatic Build System <autodist@mambasoft.it> 0.9.1-1mamba
- automatic version update by autodist

* Sun May 03 2020 Automatic Build System <autodist@mambasoft.it> 0.9-1mamba
- automatic version update by autodist

* Thu Aug 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.1-1mamba
- package created using the webbuild interface
